php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #37322 unable to link php to already installed mysql
Submitted: 2006-05-05 05:04 UTC Modified: 2006-09-25 07:17 UTC
Votes:3
Avg. Score:5.0 ± 0.0
Reproduced:3 of 3 (100.0%)
Same Version:3 (100.0%)
Same OS:2 (66.7%)
From: raosid at rediffmail dot com Assigned:
Status: Not a bug Package: *Configuration Issues
PHP Version: 4.4.2 OS: fedora core 4
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: raosid at rediffmail dot com
New email:
PHP Version: OS:

 

 [2006-05-05 05:04 UTC] raosid at rediffmail dot com
Description:
------------
hi ,
i am having a problem in configuring php4.4.2 with already installed mysql. when i say --with-mysql=/'source of mysql'.
it says...
lresolv -lm -ldl -lnsl -lcrypt -lcrypt  -o sapi/cgi/php
ext/mysql/php_mysql.o(.text+0x2095): In function `zif_mysql_create_db':
/home/siddharth/Desktop/php-4.4.2/ext/mysql/php_mysql.c:1163: undefined reference to `mysql_create_db'
ext/mysql/php_mysql.o(.text+0x22cb): In function `zif_mysql_drop_db':
/home/siddharth/Desktop/php-4.4.2/ext/mysql/php_mysql.c:1205: undefined reference to `mysql_drop_db'
collect2: ld returned 1 exit status
make: *** [sapi/cgi/php] Error 1


any suggestions????



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2006-05-06 09:30 UTC] tony2001@php.net
It looks like you have a headers mess in your system. 
The configure option should be --with-mysql='INSTALL PREFIX of mysql', not SOURCE.
Please try using the right option and post the results here.
 [2006-05-14 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over a week, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 [2006-08-02 15:37 UTC] sorin at intersol dot ro
I confirm this bug in Fedora Core 5.
 [2006-08-02 15:47 UTC] sorin at intersol dot ro
It seamns that you must define USE_OLD_FUNCTIONS before including mysql.h (At least in mysql 5 the missing functions are including only if USE_OLD_FUNCTIONS is defined).
 [2006-08-02 15:51 UTC] sorin at intersol dot ro
OOps, My mistake. I think that the problem is that the compiled mysql in FC4 and FC5 may not include old functions?! 

Any suggestion not including the recompilation of mysql.
 [2006-09-22 17:58 UTC] guglielmo dot celata at gmail dot com
Hi,
I am having the same issue, using php4.4.4 with mysql 5.0.22 on a FC5.
I have installed the mysql and mysql-devel packages, using yum.
Then, trying to compile, using:
./configure 
 --with-apxs2=/usr/local/apache2/bin/apxs 
 --with-mysql=/usr 
 --disable-cgi 
 --with-zlib --with-curl --with-gettext 
 --with-iconv --enable-mbstring --enable-shmop 
 --enable-sysvmsg --enable-sysvsem --enable-sysvshm
 --with-pear --with-gd --with-jpeg-dir --with-png-dir

I receive the same error.

I think this is a bug and it should be fixed.
 [2006-09-25 03:46 UTC] raosid at rediffmail dot com
this error can be fxed by compiling with --mysql-sock and then creating a link to mysql.sock in /var/lib/mysql
 [2006-09-25 07:17 UTC] tony2001@php.net
.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sat Sep 24 23:05:52 2022 UTC